## go-distribution

go-distribution

## Synopsis

    enum                GODistributionType;
    charconst *         go_distribution_type_to_string      (GODistributionType type);
    GODistributionType  go_distribution_type_from_string    (char const *name);
                        GODistribution;
    GODistribution*     go_distribution_new                 (GODistributionType type);
    GODistributionType  go_distribution_get_distribution_type
                                                            (GODistribution *dist);
    charconst *         go_distribution_get_distribution_name
                                                            (GODistribution *dist);
    double              go_distribution_get_density         (GODistribution *dist,
                                                             double x);
    double              go_distribution_get_cumulative      (GODistribution *dist,
                                                             double x);
    double              go_distribution_get_ppf             (GODistribution *dist,
                                                             double x);
    double              go_distribution_get_hazard          (GODistribution *dist,
                                                             double x);
    double              go_distribution_get_cumulative_hazard
                                                            (GODistribution *dist,
                                                             double x);
    double              go_distribution_get_survival        (GODistribution *dist,
                                                             double x);
    double              go_distribution_get_inverse_survival
                                                            (GODistribution *dist,
                                                             double x);
    void                go_distribution_scale               (GODistribution *dist,
                                                             double location,
                                                             double scale);

## Object Hierarchy

      GObject
       +----GODistribution

## Implemented Interfaces

GODistribution implements GOPersist.

## Properties

      "location"                 gdouble               : Read / Write
      "scale"                    gdouble               : Read / Write

## Description

## Details

### enum GODistributionType

    typedef enum {
    	GO_DISTRIBUTION_INVALID = -1,
    	GO_DISTRIBUTION_NORMAL,
    	GO_DISTRIBUTION_UNIFORM,
    	GO_DISTRIBUTION_CAUCHY,
    	GO_DISTRIBUTION_WEIBULL,
    	GO_DISTRIBUTION_LOGNORMAL,
    	GO_DISTRIBUTION_MAX
    } GODistributionType;

### go_distribution_type_to_string ()

    charconst *         go_distribution_type_to_string      (GODistributionType type);

`type` : |
Returns : |

### go_distribution_type_from_string ()

    GODistributionType  go_distribution_type_from_string    (char const *name);

`name` : |
Returns : |

### GODistribution

    typedef struct _GODistribution GODistribution;

### go_distribution_new ()

    GODistribution*     go_distribution_new                 (GODistributionType type);

`type` : |
Returns : |

### go_distribution_get_distribution_type ()

    GODistributionType  go_distribution_get_distribution_type
                                                            (GODistribution *dist);

`dist` : |
Returns : |

### go_distribution_get_distribution_name ()

    charconst *         go_distribution_get_distribution_name
                                                            (GODistribution *dist);

`dist` : |
Returns : |

### go_distribution_get_density ()

    double              go_distribution_get_density         (GODistribution *dist,
                                                             double x);

`dist` : |
`x` : |
Returns : |

### go_distribution_get_cumulative ()

    double              go_distribution_get_cumulative      (GODistribution *dist,
                                                             double x);

`dist` : |
`x` : |
Returns : |

### go_distribution_get_ppf ()

    double              go_distribution_get_ppf             (GODistribution *dist,
                                                             double x);

`dist` : |
`x` : |
Returns : |

### go_distribution_get_hazard ()

    double              go_distribution_get_hazard          (GODistribution *dist,
                                                             double x);

`dist` : |
`x` : |
Returns : |

### go_distribution_get_cumulative_hazard ()

    double              go_distribution_get_cumulative_hazard
                                                            (GODistribution *dist,
                                                             double x);

`dist` : |
`x` : |
Returns : |

### go_distribution_get_survival ()

    double              go_distribution_get_survival        (GODistribution *dist,
                                                             double x);

`dist` : |
`x` : |
Returns : |

### go_distribution_get_inverse_survival ()

    double              go_distribution_get_inverse_survival
                                                            (GODistribution *dist,
                                                             double x);

`dist` : |
`x` : |
Returns : |

### go_distribution_scale ()

    void                go_distribution_scale               (GODistribution *dist,
                                                             double location,
                                                             double scale);

`dist` : |
`location` : |
`scale` : |

## Property Details

### The `"location"` property

      "location"                 gdouble               : Read / Write

Location.

Default value: 0

### The `"scale"` property

      "scale"                    gdouble               : Read / Write

Scale.

Allowed values: >= G_MINDOUBLE

Default value: 1